Package org.apache.tomcat.util.codec

## Interface BinaryDecoder

All Superinterfaces:
  `Decoder`

All Known Implementing Classes:
  `Base64`, `BaseNCodec`

    @Deprecated
    public interface BinaryDecoder
    extends Decoder

Deprecated.
This interface is unused and will be removed in Tomcat 9
Defines common decoding methods for byte array decoders.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`byte[]` `decode​(byte[] source)` Deprecated. Decodes a byte array and returns the results as a byte array.

### Methods inherited from interface org.apache.tomcat.util.codec.Decoder

`decode`

### Method Detail

#### decode

    byte[] decode​(byte[] source)
           throws DecoderException

Deprecated.
Decodes a byte array and returns the results as a byte array.

Parameters:
  `source` - A byte array which has been encoded with the appropriate encoder
Returns:
  a byte array that contains decoded content
Throws:
  `DecoderException` - A decoder exception is thrown if a Decoder encounters a failure condition during the decode process.